package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.common.ResponseBean;
import com.example.civilizedcity.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaIssueApply;
import com.example.civilizedcity.mapper.TaIssueApplyMapper;
import com.example.civilizedcity.service.TaIssueApplyService;

import java.time.LocalDateTime;

/**
 * 问题处理申请;(ta_issue_apply)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-27
 */
@Service
public class TaIssueApplyServiceImpl extends BaseServiceImpl<TaIssueApplyMapper, TaIssueApply> implements TaIssueApplyService {

    @Override
    public void createNewApply(TaIssueApply taIssueApply, SysUser sysUser) throws Exception {

        if (null == taIssueApply.getIssueId()) {
            throw new Exception("校验问题单出错");
        }

        taIssueApply.setApplyId(null);
        taIssueApply.setCreateUser(sysUser.getUserId());
        taIssueApply.setCreateUserName(sysUser.getName());
        taIssueApply.setOrgId(sysUser.getOrgId());
        taIssueApply.setCreateDate(LocalDateTime.now());

        save(taIssueApply);
    }
}